-
    headers: 'User-Agent: Mozilla/4.0 (compatible; Linux 2.6.10) NetFront/3.3 Kindle/1.0 (screen 600x800)'
    result: { browser: { name: NetFront, version: '3.3', type: browser }, engine: { name: NetFront }, device: { type: ereader, manufacturer: Amazon, model: 'Kindle 1' } }
    readable: 'NetFront 3.3 on an Amazon Kindle 1'
-
    headers: 'User-Agent: Mozilla/4.0 (compatible; Linux 2.6.22) NetFront/3.4 Kindle/2.0 (screen 600x800)'
    result: { browser: { name: NetFront, version: '3.4', type: browser }, engine: { name: NetFront }, device: { type: ereader, manufacturer: Amazon, model: 'Kindle 2' } }
    readable: 'NetFront 3.4 on an Amazon Kindle 2'
-
    headers: 'User-Agent: Mozilla/4.0 (compatible; Linux 2.6.22) NetFront/3.4 Kindle/2.5 (screen 600x800; rotate)'
    result: { browser: { name: NetFront, version: '3.4', type: browser }, engine: { name: NetFront }, device: { type: ereader, manufacturer: Amazon, model: 'Kindle 2' } }
    readable: 'NetFront 3.4 on an Amazon Kindle 2'
-
    headers: 'User-Agent: Mozilla/5.0 (Linux; U; en-US) AppleWebKit/528.5+ (KHTML, like Gecko, Safari/528.5+) Version/4.0 Kindle/3.0 (screen 600X800; rotate)'
    result: { engine: { name: Webkit, version: '528.5' }, device: { type: ereader, manufacturer: Amazon, model: 'Kindle 3' } }
    readable: 'an Amazon Kindle 3'
-
    headers: 'User-Agent: Mozilla/5.0 (X11; ; U; Linux armv7l; zh-cn) AppleWebKit/534.26+ (KHTML, like Gecko) Version/5.0 Safari/534.26+ Kindle SkipStone 1.0.1'
    result: { engine: { name: Webkit, version: '534.26' }, device: { type: ereader, manufacturer: Amazon, model: 'Kindle Touch or later' } }
    readable: 'an Amazon Kindle Touch or later'
-
    headers: 'User-Agent: Mozilla/5.0 (X11; U; Linux armv7l like Android; en-us) AppleWebKit/531.2+ (KHTML, like Gecko) Version/5.0 Safari/533.2+ Kindle/3.0+'
    result: { engine: { name: Webkit, version: '531.2' }, device: { type: ereader, manufacturer: Amazon, model: 'Kindle 3 or later' } }
    readable: 'an Amazon Kindle 3 or later'
